package de.intevation.flys.client.client.utils;

import java.util.Map;

import com.smartgwt.client.widgets.form.fields.FormItem;

/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class IntegerValidator extends Validator {

    /**
     *
     */
    @Override
    protected boolean validate(FormItem item, Map errors) {
        boolean valid = true;

        String v = (String) item.getValue();

        try {
            if (v == null) {
                throw new NumberFormatException("empty");
            }

            int value = Integer.parseInt(v);

            errors.remove(item.getFieldName());
        }
        catch (NumberFormatException nfe) {
            errors.put(item.getFieldName(), MSG.wrongFormat());

            item.focusInItem();

            valid = false;
        }
        return valid;
    }
}
